<?php
/*
*  appel des fonctions pour remplir les select du formulaire Sosa (recherches des individus liés à un patronyme)
*  en fonction des sélections successives
*/

	session_start();
	
	
	$DS= DIRECTORY_SEPARATOR;
	$ROOT=dirname(dirname(dirname(dirname(__FILE__))));
//
	require $ROOT.$DS.'webroot'.$DS.'includes'.$DS.'lib_inc.php';
	//require $ROOT.$DS.'core'.$DS.'functions.php'; 
	
	require $ROOT.$DS.'core'.$DS.'Router.php'; 
	require $ROOT.$DS.'core'.$DS.'Controller.php';
	require $ROOT.$DS.'core'.$DS.'Model.php'; 
	

	require $ROOT.$DS.'config'.$DS.'conf.php';

	require_once($ROOT.$DS.'model'.$DS.'Outils.php');
	require_once($ROOT.$DS.'model'.$DS.'Familles.php');
	$Outils = new Outils();
	$Familles = new Familles();
	// $this->loadModel('Outils');
	// $this->loadModel('Familles');

	$individus = array();
	$sId_Event_Type_GIVN=$Outils->get_id_event_type("GIVN");	// 99
	$sId_Event_Type_NICK=$Outils->get_id_event_type("NICK");	// 123

	$id_patro = $_GET['patronyme'];
	$family = $_GET['famille'];
	$id_sosa_actuel= $_GET['id_sosa_actuel'];;
//	$libelle = $_GET['libelle'];
   // constitution de la liste des personnes associées au nom choisi
			
			$table = ' oxg_individuals';
			$Familles->table = $table;
			
			$condition  = "oxg_individuals.id_patronym='".$id_patro."'";
			$condition .= " and first_name<>'?' ";
			$condition .= " and id_family='".$family."'";
//			$conditions .= $_SESSION['s_ReqContemporain'];
//$_SESSION['ind_affiche']=1;				
			$result_pers=$Familles->find(array(
					'fields'  	 => 'id_individual, first_name, date_naissance, date_deces, sosa',
					'conditions' => $condition,
					'order'		 =>	"first_name ASC"
			));
//var_dump($result_pers);
				foreach($result_pers as $k => $row) {
				// on retient que les sosa "affectables" autres que le sosa actuel
					if ($row->sosa!=1) {
						$identite = $row->first_name." (".$row->date_naissance." - ".$row->date_deces.")";
						if ($k !=0) {
							$personnes_select  .= "<option value='".$row->id_individual."'>".utf8_encode($identite)."</option>";
						}
						else {
							$personnes_select  = "<option value='".$row->id_individual."'>".utf8_encode($identite)."</option>";
						}	
					}
				}
				

//var_dump($personnes_select)	;
		echo $personnes_select;